package aalg.mailer;

import java.nio.channels.SocketChannel;

public class SocketConnection extends ChannelConnection<SocketChannel> {
	
	public SocketConnection (final SocketChannel socket) {
		super (socket);
	}
	
	public boolean hasDataToWrite() {
		return outputBuffer != null && outputBuffer.hasRemaining();
	}
	


}
